## postgresql-common 111~bpo50+1

=== debian/changelog ===
postgresql-common (111~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports.

 -- Gerfried Fuchs <rhonda@debian.at>  Sun, 26 Sep 2010 21:35:09 +0200

postgresql-common (111) unstable; urgency=high

  * Urgency high since this fixes two RC bugs.
  * t/030_errors.t: Check that pg_createcluster leaves the original one intact
    if the cluster already exists, also when the original one is not running.
    This reproduces #597097.
  * pg_createcluster: Be more careful with cleaning up the created cluster if
    an error occurs: Do not start the cleanup until we actually passed our
    sanity checks and created files for the new cluster. Before, it would
    erroneously remove an already existing cluster on a sanity check fail, if
    that cluster happened to not be running at the time. (Closes: #597097)
  * debian/supported-versions: Be more robust against lsb_release failing, e.
    g. in the case where it is not fully configured yet. (Closes: #597561)
  * debian/supported-versions: Drop check for /etc/debian_version if
    lsb_release is not working/existing. Derivatives have debian_version as
    well, and we don't actually evaluate it, so just print a meaningful error
    message and go with the default versions.
  * debian/rules: Put init script priority back to S29/K21 to match the
    previous postgresql-8.4 init script. Fix the priorities on upgrade in
    debian/postgresql-common.preinst. (Closes: #597654)

 -- Martin Pitt <mpitt@debian.org>  Wed, 22 Sep 2010 12:04:00 +0200

postgresql-common (110) unstable; urgency=low

  [ Martin Pitt ]
  * t/080_start.conf.t: Update for common init.d script.
  * debian/rules: Drop installation of lintian overrides and let dh_lintian do
    it for us. Adapt override file accordingly.
  * debian/control: Drop unnecessary debconf dependency from -client-common.
  * Bump Standards-Version to 3.9.1, no changes necessary.
  * debian/postgresql-common.postgresql.init: Fix force-reload, thanks Pascal
    Volk. (Closes: #591185)
  * debian/rules: Stop man page build/clean being package dependent.
  * pg_buildext: Remove bashishms and convert to plain /bin/sh.

  [ Dimitri Fontaine ]
  * Add new package postgresql-server-dev-all:
    - "pb_buildext" tool for easy building of extension packages for multiple
      server versions.
    - pgxs_debian_control.mk debian/rules include for generating
      debian/control.

 -- Martin Pitt <mpitt@debian.org>  Sun, 01 Aug 2010 16:50:41 +0200

postgresql-common (109) unstable; urgency=low

  * pg_lsclusters: Fix "uninitialized value" warning when a cluster's data
    directory is not set. This is a rather fatal problem anyway, but we can
    present it in a nicer way. Thanks Christoph Berg! (Closes: #589014)
  * Migrate to a common init script for all server versions, to avoid
    providing the "postgresql" service in multiple packages (which causes
    insserv to complain bitterly):
    - debian/init.d-functions: Add function get_versions() which returns all
      installed versions, but filters out the ones which have their own init
      script. With that, we can run newer common versions with older server
      packages.
    - debian/maintscripts-functions: Add function stop_version() (to be called
      from "prerm upgrade"), and start cluster in configure_version() if there
      is no version specific init script.
    - Add debian/postgresql-common.postgresql.init: Common init script for all
      installed server versions.
    - debian/rules: Install common init script.
    - (Closes: #589524)
  * Add debian/source/format: 3.0 (native).
  * debian/control: Bump Standards-Version to 3.9.0 (no changes necessary).

 -- Martin Pitt <mpitt@debian.org>  Mon, 19 Jul 2010 23:20:13 +0200

postgresql-common (108) unstable; urgency=low

  * debian/supported-versions: Drop 8.3 from squeeze/unstable. Add 9.0 to all
    Debian/Ubuntu versions to support backports.
  * debian/README.Debian: Talk about 8.3 and 8.4, since those are the versions
    relevant to squeeze installs and upgrades.
  * pg_upgradecluster POD: Describe allowed characters in upgrade script file
    names.
  * debian/supported-versions: Add Ubuntu 10.10. Welcome, Maverick Meerkat!

 -- Martin Pitt <mpitt@debian.org>  Wed, 02 Jun 2010 10:42:17 +0200

postgresql-common (107) unstable; urgency=low

  [ Peter Eisentraut ]
  * Add initial support for 9.0 (pre-release snapshots for now):
    - cleanpg: Remove 9.0 clusters.
    - pg_createcluster: Clone configure_8_4() as configure_9_0().
    - pg_upgradecluster: Migrate obsolete/changed configuration parameters.
  * pg_wrapper: Fix spelling.
  * In maintainer scripts, instead of "#!/bin/sh -e" use a separate "set -e",
    per lintian.
  * debian/control: Bump Standards-Version to 3.8.4; no changes necessary.

  [ Martin Pitt ]
  * cleanpg: Do not remove the /var/log/postgresql/ directory itself, only its
    contents, to avoid logcheck falling over.
  * t/020_create_sql_remove.t: Do not consider $PG_GRANDPARENT_PID an unsafe
    environment, it's set by 9.0 servers.
  * t/060_obsolete_confparams.t: Add a full configuration for 8.4, so that
    upgrades to 9.0 can be tested.
  * t/052_upgrade_encodings.t: Specify 'C' locale when creating the ASCII
    encoded test database for versions >= 8.4, otherwise we have a
    locale/encoding mismatch.
  * t/TestLib.pm: Abort tests on FAILURE=shell and the shell exits with
    nonzero. This avoids endless followup error shells once it's clear that
    the following ones are doomed anyway.
  * PgCommon.pm: Add new function get_db_locales() which reads lc_ctype and
    lc_locales for a particular database. This replaces the
    get_cluster_locales() function for >= 8.4 server versions (which moved
    from global to per-database locales).
  * pg_upgradecluster: Use get_db_locales() instead of get_cluster_locales()
    for upgrades from >= 8.4.
  * pg_ctlcluster: Drop check for valid locales. We can only determine them

