## postgresql-common 111

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Section: database
 Priority: optional
 Maintainer: Martin Pitt <mpitt@debian.org>
-Uploaders: Gerfried Fuchs <rhonda@debian.at>
 Standards-Version: 3.9.1
 Vcs-Bzr: https://code.launchpad.net/~pitti/postgresql/common/
 Vcs-Browser: http://bazaar.launchpad.net/~pitti/postgresql/common/changes
