## postgresql-common 113~hardy1

=== debian/changelog ===
postgresql-common (113~hardy1) hardy-backports; urgency=low

  * Backport current version to hardy, as the current postgresql-8.4 backport
    needs this newer version. Drop debian/source/format, as hardy does not yet
    support 3.0 sources. (LP: #693157)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 03 Jan 2011 10:16:55 +0100

postgresql-common (113) unstable; urgency=medium

  * Urgency medium, as this is a straightforward bug fix for an important
    upgrade bug.
  * debian/supported-versions: Split testing/squeeze and unstable cases. 9.0
    is not officially supported in Squeeze and testing, it's only available as
    a backport. This will make the "obsolete version installed" debconf note
    point to 8.4 in squeeze, not 9.0. (Closes: #604423)

 -- Martin Pitt <mpitt@debian.org>  Sat, 04 Dec 2010 15:04:40 +0100

postgresql-common (112) unstable; urgency=medium

  * Urgency medium since this fixes an RC bug.
  * debian/changelog: Fix changelog entry in version 111 for #597654: init
    script priority was fixed to S19, not S29.
  * pg_ctlcluster: Also pass additional pg_ctl arguments in "stop" and
    "reload" mode.
  * pg_ctlcluster: Pass correct exit code from pg_ctl in case of errors.
  * PgCommon.pm, get_db_encoding(): Fix uninitialized variable if psql fails.
  * t/040_upgrade.t: Check that pg_upgradecluster exits early and gracefully
    if the old cluster does not stop (usually because there are still active
    connections to it). This reproduces #509050.
  * pg_upgradecluster: Move stopping of old cluster and disabling connections
    to it much ealier, and properly fail without starting the upgrade.
    (Closes: #509050)
  * debian/postgresql-common.preinst: Remove obsolete init script from
    postgresql-8.3 for upgrades from Lenny. It provides "postgresql" which is
    also provided by our common init script, and insserv chokes on this. Our
    common init script handles 8.3 as well and will just take over. Note that
    this is a policy violation, but we can't clean up in -8.3 since that does
    not exist any more in Squeeze. (Closes: #591924)

 -- Martin Pitt <mpitt@debian.org>  Sun, 21 Nov 2010 13:52:25 +0100
