## postgresql-common 113%2Bsqueeze1

=== debian/changelog ===
postgresql-common (113+squeeze1) stable; urgency=high

  [ Martin Pitt ]
  * pg_ctlcluster: Do not remove the PID file after SIGKILLing the
    postmaster in the "last-ditch effort to shut down" in --force mode. This
    is a potentially dangerous thing to do when trying to start a second
    postmaster in parallel while the first one is still being shut down.
    (see http://archives.postgresql.org/pgsql-general/2012-07/msg00475.php)
    Cherry-picked from version 133 (bzr r1181). (Closes: #686060)

  [ Christoph Berg ]
  * Update Vcs URLs and Maintainer fields for group maintenance.

 -- Christoph Berg <myon@debian.org>  Fri, 21 Sep 2012 17:13:33 +0200
