=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk

POD2MAN=pod2man --center "Debian PostgreSQL infrastructure" -r "Debian"
POD1PROGS=pg_wrapper pg_lsclusters pg_buildext
POD8PROGS=pg_ctlcluster pg_createcluster pg_dropcluster pg_upgradecluster pg_updatedicts

DEB_DH_INSTALLINIT_ARGS := --name=postgresql -u'defaults 19 21'

common-post-build-indep::
	for p in $(POD1PROGS); do $(POD2MAN) --quotes=none --section 1 $$p > $$p.1; done
	for p in $(POD8PROGS); do $(POD2MAN) --quotes=none --section 8 $$p > $$p.8; done

clean::
	for p in $(POD1PROGS); do rm -f $$p.1; done
	for p in $(POD8PROGS); do rm -f $$p.8; done
