=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: postgresql-common
 Section: database
 Priority: optional
-Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
-Uploaders: Martin Pitt <mpitt@debian.org>, Peter Eisentraut <petere@debian.org>, Christoph Berg <myon@debian.org>
+Maintainer: Martin Pitt <mpitt@debian.org>
 Standards-Version: 3.9.1
-Vcs-Browser: http://anonscm.debian.org/loggerhead/pkg-postgresql/postgresql-common/squeeze
-Vcs-Bzr: http://bzr.debian.org/bzr/pkg-postgresql/postgresql-common/squeeze/
+Vcs-Bzr: https://code.launchpad.net/~pitti/postgresql/common/
+Vcs-Browser: http://bazaar.launchpad.net/~pitti/postgresql/common/changes
 Build-Depends: cdbs, debhelper (>= 6)
 
 Package: postgresql-common
@@ -32,7 +31,7 @@
 Package: postgresql-client-common
 Architecture: all
 Depends: ${misc:Depends}
-Recommends: lsb-release
+Recommends: lsb-release, libreadline6
 Description: manager for multiple PostgreSQL client versions
  The postgresql-client-common package provides a structure under which
  multiple versions of PostgreSQL client programs may be installed at
