=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,9 @@
 	for p in $(POD1PROGS); do $(POD2MAN) --quotes=none --section 1 $$p > $$p.1; done
 	for p in $(POD8PROGS); do $(POD2MAN) --quotes=none --section 8 $$p > $$p.8; done
 
+install/postgresql-common::
+	install -m 644 -D debian/postgresql-common.sysctl debian/postgresql-common/etc/sysctl.d/30-postgresql-shm.conf
+
 clean::
 	for p in $(POD1PROGS); do rm -f $$p.1; done
 	for p in $(POD8PROGS); do rm -f $$p.8; done
