## postgresql-common 122

=== debian/changelog ===
postgresql-common (122) unstable; urgency=low

  * debian/control: Fix duplicate package description. (Closes: #639562)
  * debian/control: Add lsb-release dependency to -server-dev-all, as the
    pg_buildext tool needs it.
  * pg_wrapper: Find libreadline in multiarch directory, too.
    (Closes: #640520)
  * debian/rules: logrotate 3.8.0 requires specifying the "su" option, which
    is not backportable. Dynamically check the available logrotate version,
    and add it if it is >= 3.8. Also dynamically generate a dependency or
    breaks to logrorate 3.8+. (Closes: #640493)
  * PgCommon.pm: Allow '@' characters in LC_CTYPE/LC_COLLATE values. Thanks to
    Willi Mann for the patch. (Closes: #640031)
  * pg_upgradecluster: Print message for running the upgrade.d scripts, thanks
    Karsten Hilbert.
  * t/040_upgrade.t: Add test case for a database with read only default
    transactions. Reproduces #599085.
  * pg_upgradecluster: Set superuser configuration value of
    'default_transaction_read_only' to 'off' during the upgrade, so that
    upgrading databases with read only default transactions actually works.
    Thanks Karsten Hilbert for the suggestion. (Closes: #599085)
  * t/040_upgrade.t, pg_upgradecluster: Consistently use upper case for SQL
    keywords.
  * Correct wrong bug reference in previous changelog.

 -- Martin Pitt <mpitt@debian.org>  Sun, 25 Sep 2011 21:38:20 +0200

postgresql-common (121) unstable; urgency=low

  [ Martin Pitt ]
  * debian/supported-versions: Switch Ubuntu 11.10 to 9.1 (LP: #833684) and
    also preemtively add Ubuntu 12.04 (which will ship with 9.1, too).
  * debian/control: Bump Standards-Version to 3.9.2, no changes necessary.
  * debian/rules: Call dh_installinit with -r to avoid restarting on upgrade.
    (Closes: #639140)
  * debian/control: Wrap dependencies.
  * debian/control, debian/rules: Convert from cdbs to dh, and bump
    Standards-Version to 7.
  * debian/control, debian/rules: Build the versionless metapackages from this
    source instead of the current postgresql-X.Y source. This behaves better
    with backports. Thanks to Christoph Berg for the suggestion.
  * debian/postgresql-common.lintian-overrides: Don't complain about missing
    manpage for pg_config, it's shipped by libpq-dev.
  * debian/control: Update description of the metapackages to actually say
    "metapackage" to quiesce lintian.
  * Split POD of pg_buildext into pg_buildext.pod, and update debian/rules to
    build the manpage from there. Fixes lintian "shell syntax failure"
    error.

  [ Peter Eisentraut ] 
  * pg_createcluster:
    - Use "peer" instead of "ident" on local socket connections from 9.1 on.
    - Apply pg_hba.conf adjustments to replication connections as well.
    - (Closes: #639016)

 -- Martin Pitt <mpitt@debian.org>  Sat, 27 Aug 2011 14:01:11 +0200

postgresql-common (120) unstable; urgency=low

  * PgCommon.pm, cluster_info(): Do not consider external_pid_file
    configuration as valid if it is '(none)'. Fixes test suite regression in
    version 119.
  * debian/supported-versions: Switch to 9.1 as default and testing/unstable
    supported version. This will also cause -server-dev-all to only pull in
    -9.1.
  * PgCommon.pm: Partially revert changes for #606336: postmaster does not
    clean up the PID file when it stops, and it is not world readable, so only
    its absence is a definitive result. If the PID file is present, do the
    port probe to check if it is really running.

 -- Martin Pitt <mpitt@debian.org>  Tue, 23 Aug 2011 14:05:09 +0200

postgresql-common (119) unstable; urgency=low

  [ Martin Pitt ]
  * PgCommon.pm, set_conf_value(): Fix the case where a key exists first as a
    commented value, and then uncommented. Add appropriate test cases to
    t/005_PgCommon.t. (Closes: #539651)
  * debian/postgresql-common.postgresql.init: Fix "status" command when some
    clusters are down. (Closes: #635594)
  * pg_upgradecluster: Only call pg_ctl with the -t option with old clusters
    >= 8.4, as earlier versions do not yet support it. (Closes: #633801)
  * debian/postgresql-common.postinst: Remove some obsolete transition
    logic.
  * architecture.html, cleanpg, debian/init.d-functions, pg_createcluster:
    Remove obsolete references to per-version init scripts. (Closes: #636957)
  * debian/maintscripts-functions: Remove our tsearch data symlinks on
    removal. (Closes: #539611)
  * PgCommon.pm: Make {read,set,disable,replace}_conf_value() case
    independent for *.conf files, as per upstream specification. Add
    appropriate test cases to t/005_PgCommon.t. (Closes: #618577)
  * PgCommon.pm: Make {read,set,disable,replace}_conf_value() accept "key
    value" lines without '=', as this is optional as per upstream
    specification. Add appropriate test cases to t/005_PgCommon.t. Thanks
    to Frederic Junod for the original patch suggestion. (Closes: #618583)
  * PgCommon.pm, cluster_info(): If postgresql.conf defines an external PID
    file, check its existence for determining if a cluster is running, instead
    of poking the port. This is more efficient, and also gives correct results
    for overlapping port numbers. Based on a patch from Jens Wilke, thanks!
    (Closes: #606336)
  * pg_buildext: Apply various improvements from Christoph Berg, thanks!

  [ Peter Eisentraut ]
  * pg_createcluster: Update comment alignment to match existing file better.
    (Closes: #632702)

 -- Martin Pitt <mpitt@debian.org>  Mon, 08 Aug 2011 15:31:17 +0200

postgresql-common (118) unstable; urgency=low

  * Update Catalan debconf translations, thanks Innocent De Marchi.  
    (Closes: #628370)
  * t/050_encodings.t: Update \' escaping test case for 9.1, as this
    finally has been deprecated.
  * debian/control: Add p-server-dev-all dependency to p-common, so that
    packages that build-dep on it get the pg_config wrapper.

 -- Martin Pitt <mpitt@debian.org>  Tue, 14 Jun 2011 14:52:08 +0200


