=== debian/control ===
--- 
+++ 
@@ -2,17 +2,23 @@
 Section: database
 Priority: optional
 Maintainer: Martin Pitt <mpitt@debian.org>
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Bzr: https://code.launchpad.net/~pitti/postgresql/common/
 Vcs-Browser: http://bazaar.launchpad.net/~pitti/postgresql/common/changes
-Build-Depends: cdbs, debhelper (>= 6)
+Build-Depends: debhelper (>= 7.0.50~)
 
 Package: postgresql-common
 Architecture: all
 Conflicts: postgresql-7.4, postgresql-8.0
-Depends: postgresql-client-common (>= ${source:Version}), procps, adduser,
- debconf (>= 0.5.00) | debconf-2.0, lsb-base (>= 3.0-3),
- ssl-cert (>= 1.0.11), ${misc:Depends}
+Depends: postgresql-client-common (>= ${source:Version}), 
+ procps, 
+ adduser,
+ debconf (>= 0.5.00) | debconf-2.0,
+ lsb-base (>= 3.0-3),
+ ssl-cert (>= 1.0.11),
+ logrotate ${logrotate:version},
+ ${misc:Depends}
+Breaks: ${common-breaks}
 Description: PostgreSQL database-cluster manager
  The postgresql-common package provides a structure under which
  multiple versions of PostgreSQL may be installed and/or multiple
@@ -49,7 +55,11 @@
 
 Package: postgresql-server-dev-all
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, 
+ postgresql-common (>= 117~),
+ lsb-release,
+ dctrl-tools,
+ ${server-dev-all-depends}
 Description: extension build tool for multiple PostgreSQL versions
  The postgresql-server-dev-all package provides the pg_buildext script for
  simplifying packaging of a PostgreSQL extension supporting multiple major
@@ -62,3 +72,66 @@
  outer joins, multiversion concurrency control, and user-defined types
  and functions.
 
+Package: postgresql
+Architecture: all
+Depends: postgresql-${default-version}, ${misc:Depends}
+Description: object-relational SQL database (supported version)
+ PostgreSQL is a fully featured object-relational database management
+ system.  It supports a large part of the SQL standard and is designed
+ to be extensible by users in many aspects.  Some of the features are:
+ ACID transactions, foreign keys, views, sequences, subqueries,
+ triggers, user-defined types and functions, outer joins, multiversion
+ concurrency control.  Graphical user interfaces and bindings for many
+ programming languages are available as well.
+ .
+ This metapackage always depends on the currently supported PostgreSQL
+ database server version.
+
+Package: postgresql-client
+Architecture: all
+Depends: postgresql-client-${default-version}, ${misc:Depends}
+Description: front-end programs for PostgreSQL (supported version)
+ This package contains client and administrative programs for
+ PostgreSQL: these are the interactive terminal client psql and
+ programs for creating and removing users and databases.
+ .
+ This package always depends on the currently supported database
+ client package for PostgreSQL. If you install PostgreSQL on a
+ standalone machine, you need the server package postgresql, too. On a
+ network, you can install this package on many client machines, while
+ the server package may be installed on only one machine.
+ .  
+ PostgreSQL is an object-relational SQL database management system.
+ .
+ This metapackage always depends on the currently supported PostgreSQL
+ database client version.
+
+Package: postgresql-doc
+Architecture: all
+Section: doc
+Depends: postgresql-doc-${default-version}, ${misc:Depends}
+Description: documentation for the PostgreSQL database management system
+ This package contains all README files, user manual, and examples for
+ the currently supported PostgreSQL version. The manual is in HTML
+ format.
+ .
+ PostgreSQL is an object-relational SQL database management system.
+ .
+ This metapackage always depends on the currently supported PostgreSQL
+ database documentation package.
+
+Package: postgresql-contrib
+Architecture: all
+Depends: postgresql-contrib-${default-version}, ${misc:Depends}
+Description: additional facilities for PostgreSQL (supported version)
+ The PostgreSQL contrib package provides several additional features
+ for the PostgreSQL database. contrib often serves as a testbed for
+ features before they are adopted into PostgreSQL proper.
+ .
+ PostgreSQL is an object-relational SQL database management system.
+ This package always depends on the currently supported PostgreSQL
+ database documentation package.
+ .
+ This metapackage always depends on the currently supported PostgreSQL
+ database contrib package.
+
