## postgresql-common 122ubuntu1

=== debian/changelog ===
postgresql-common (122ubuntu1) oneiric-proposed; urgency=low

  * pg_wrapper: Disable searching of multiarched libreadline. libreadline is
    not multiarched yet in oneiric, so this is not yet necessary. The complete
    fix in version 124 is more intrusive and not appropriate/necessary for an
    SRU. (LP: #860552)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 12 Oct 2011 07:28:42 +0200
