## postgresql-common 124~bpo50+1

=== debian/changelog ===
postgresql-common (124~bpo50+1) lenny-backports-sloppy; urgency=low

  * Rebuild for lenny-backports-sloppy.

 -- Gerfried Fuchs <rhonda@debian.org>  Tue, 11 Oct 2011 15:01:16 +0200

postgresql-common (124) unstable; urgency=medium

  * Keeping urgency medium, as 123 did not make it into testing yet.
  * PgCommon.pm, cluster_info(): Use /bin/ps instead of reading /proc/*/comm,
    the latter was reported to not work on some systems.
  * pg_ctlcluster: Use PgCommon::check_pidfile_running and drop duplicated
    code.
  * pg_wrapper: The previous multiarch globbing was wrong, as it looked for
    the architecture in uname() (which doesn't work on i386, where uname says
    i686). Now get the multiarch library path from whereever psql expects
    libedit.so to be, so that this even works if you install postgresql-client
    for a foreign architecture.

 -- Martin Pitt <mpitt@debian.org>  Sat, 08 Oct 2011 11:48:46 +0200

postgresql-common (123) unstable; urgency=medium

  * Urgency medium, as bug 644078 slipped into testing, and is quite a nasty
    regression for people that it affects.
  * t/001_packages.t: Check that the -plpython3 package is installed for
    >= 9.1.
  * t/020_create_sql_remove.t: Check that the "plpython3u" language works.
  * t/020_create_sql_remove.t: More thoroughly check PL/Perl and PL/PerlU.
  * PgCommon.pm, cluster_info(): If we have a PID file and can read it (i. e.
    as root), prefer doing this over probing the port. This delivers the
    correct result with e. g. "pg_ctlcluster restart" when the port got
    changed in the configuration file. (Closes: #643850)
  * pg_wrapper: Drop dpkg-architecture call; we don't want to introduce a
    dependency to dpkg-dev, and DEB_HOST_MULTIARCH also isn't available in
    backports. Just extend the libreadline.so globbing to cover multiarch
    paths as well. (Closes: #644078)
  * t/070_non_postgres_clusters.t: Test pg_upgradecluster. This reproduces
    #644477.
  * pg_upgradecluster: Supply socket argument for the tablespace test. Thanks
    to Piotr Szydełko for the patch! (Closes: #644477)

 -- Martin Pitt <mpitt@debian.org>  Fri, 07 Oct 2011 14:10:27 +0200

postgresql-common (122~bpo50+1) lenny-backports-sloppy; urgency=low

  * Rebuild for lenny-backports-sloppy.

 -- Gerfried Fuchs <rhonda@debian.org>  Tue, 27 Sep 2011 16:11:55 +0200

postgresql-common (118~bpo50+1) lenny-backports-sloppy; urgency=low

  * Rebuild for lenny-backports-sloppy.

 -- Gerfried Fuchs <rhonda@debian.org>  Wed, 29 Jun 2011 10:10:09 +0200

postgresql-common (114~bpo50+1) lenny-backports-sloppy; urgency=low

  * Rebuild for lenny-backports-sloppy.

 -- Gerfried Fuchs <rhonda@debian.org>  Thu, 24 Feb 2011 18:41:26 +0100
