=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Section: database
 Priority: optional
 Maintainer: Martin Pitt <mpitt@debian.org>
+Uploaders: Gerfried Fuchs <rhonda@debian.org>
 Standards-Version: 3.9.2
 Vcs-Bzr: https://code.launchpad.net/~pitti/postgresql/common/
 Vcs-Browser: http://bazaar.launchpad.net/~pitti/postgresql/common/changes
