## postgresql-common 127

=== debian/changelog ===
postgresql-common (127) unstable; urgency=low

  * debian/backport-ppa: Add oneiric.
  * logrotate 3.8 landed in unstable, rebuild against this to get a proper
    logrotate config snippet and adjust the depends/breaks. (See Debian
    #640493)
  * debian/rules: Fix logrotate dependency generation logic to only consider
    the most recent logrotate version.

 -- Martin Pitt <mpitt@debian.org>  Tue, 06 Dec 2011 06:18:32 +0100
