## postgresql-common 128

=== debian/changelog ===
postgresql-common (128) unstable; urgency=low

  * debian/backport-ppa: Make this work for postgresql-X.Y packages, too.
  * debian/postgresql-client-common.links: Wrap pg_basebackup.
    (Closes: #647224)
  * pg_buildext: Fix wrong exit code if "pgversions" does not exist.
    (Closes: #646698)
  * pgxs_debian_control.mk: Some robustifications: Write to temporary control
    file first and rename only after everything succeeds, otherwise delete it.
    Catch errors from pg_buildext and abort the build. (Closes: #646702)
  * pg_buildext, pg_buildext.pod: If second parameter (srcdir) is not
    specified, assume the current directory. (Closes: #646712, part 1)
  * pgxs_debian_control.mk: Drop $(SRCDIR) requirement so that this doesn't
    need to be set separately. Just use $(CURDIR). (Closes: #646712, part 2)

 -- Martin Pitt <mpitt@debian.org>  Wed, 21 Dec 2011 12:04:01 +0100
