=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Section: database
 Priority: optional
 Maintainer: Martin Pitt <mpitt@debian.org>
-Uploaders: Gerfried Fuchs <rhonda@debian.org>
 Standards-Version: 3.9.2
 Vcs-Bzr: https://code.launchpad.net/~pitti/postgresql/common/
 Vcs-Browser: http://bazaar.launchpad.net/~pitti/postgresql/common/changes
@@ -19,7 +18,8 @@
  ssl-cert (>= 1.0.11),
  logrotate ${logrotate:version},
  ${misc:Depends}
-Breaks: ${common-breaks}
+Breaks: postgresql-9.1 (<< 9.1.1-3~),
+ ${common-breaks}
 Description: PostgreSQL database-cluster manager
  The postgresql-common package provides a structure under which
  multiple versions of PostgreSQL may be installed and/or multiple
@@ -77,6 +77,9 @@
 Architecture: all
 Depends: postgresql-${default-version}, ${misc:Depends}
 Description: object-relational SQL database (supported version)
+ This metapackage always depends on the currently supported PostgreSQL
+ database server version.
+ .
  PostgreSQL is a fully featured object-relational database management
  system.  It supports a large part of the SQL standard and is designed
  to be extensible by users in many aspects.  Some of the features are:
@@ -84,55 +87,49 @@
  triggers, user-defined types and functions, outer joins, multiversion
  concurrency control.  Graphical user interfaces and bindings for many
  programming languages are available as well.
- .
- This metapackage always depends on the currently supported PostgreSQL
- database server version.
 
 Package: postgresql-client
 Architecture: all
 Depends: postgresql-client-${default-version}, ${misc:Depends}
 Description: front-end programs for PostgreSQL (supported version)
- This package contains client and administrative programs for
- PostgreSQL: these are the interactive terminal client psql and
- programs for creating and removing users and databases.
+ This metapackage always depends on the currently supported database
+ client package for PostgreSQL.
  .
- This package always depends on the currently supported database
- client package for PostgreSQL. If you install PostgreSQL on a
- standalone machine, you need the server package postgresql, too. On a
- network, you can install this package on many client machines, while
- the server package may be installed on only one machine.
- .  
- PostgreSQL is an object-relational SQL database management system.
- .
- This metapackage always depends on the currently supported PostgreSQL
- database client version.
+ PostgreSQL is a fully featured object-relational database management
+ system.  It supports a large part of the SQL standard and is designed
+ to be extensible by users in many aspects.  Some of the features are:
+ ACID transactions, foreign keys, views, sequences, subqueries,
+ triggers, user-defined types and functions, outer joins, multiversion
+ concurrency control.  Graphical user interfaces and bindings for many
+ programming languages are available as well.
 
 Package: postgresql-doc
 Architecture: all
 Section: doc
 Depends: postgresql-doc-${default-version}, ${misc:Depends}
 Description: documentation for the PostgreSQL database management system
- This package contains all README files, user manual, and examples for
- the currently supported PostgreSQL version. The manual is in HTML
- format.
- .
- PostgreSQL is an object-relational SQL database management system.
- .
  This metapackage always depends on the currently supported PostgreSQL
  database documentation package.
+ .
+ PostgreSQL is a fully featured object-relational database management
+ system.  It supports a large part of the SQL standard and is designed
+ to be extensible by users in many aspects.  Some of the features are:
+ ACID transactions, foreign keys, views, sequences, subqueries,
+ triggers, user-defined types and functions, outer joins, multiversion
+ concurrency control.  Graphical user interfaces and bindings for many
+ programming languages are available as well.
 
 Package: postgresql-contrib
 Architecture: all
 Depends: postgresql-contrib-${default-version}, ${misc:Depends}
 Description: additional facilities for PostgreSQL (supported version)
- The PostgreSQL contrib package provides several additional features
- for the PostgreSQL database. contrib often serves as a testbed for
- features before they are adopted into PostgreSQL proper.
- .
- PostgreSQL is an object-relational SQL database management system.
- This package always depends on the currently supported PostgreSQL
- database documentation package.
- .
  This metapackage always depends on the currently supported PostgreSQL
  database contrib package.
-
+ .
+ PostgreSQL is a fully featured object-relational database management
+ system.  It supports a large part of the SQL standard and is designed
+ to be extensible by users in many aspects.  Some of the features are:
+ ACID transactions, foreign keys, views, sequences, subqueries,
+ triggers, user-defined types and functions, outer joins, multiversion
+ concurrency control.  Graphical user interfaces and bindings for many
+ programming languages are available as well.
