## postgresql-common 129

=== debian/changelog ===
postgresql-common (129) unstable; urgency=low

  * pg_ctlcluster: Fix wrong configuration file name in documentation, thanks
    Peter Eisentraut. (Closes: #653098)
  * t/050_encodings.t: Add alternative Russian translation for expected error
    message, to match against what 9.1.3 has.
  * debian/copyright: Update to official 1.0 format.
  * debian/control: Bump Standards-Version to 3.9.3.

 -- Martin Pitt <mpitt@debian.org>  Tue, 06 Mar 2012 12:00:12 +0100
