## postgresql-common 129ubuntu1

=== debian/changelog ===
postgresql-common (129ubuntu1) precise-proposed; urgency=low

  * pg_ctlcluster: Do not remove the PID file after SIGKILLing the
    postmaster in the "last-ditch effort to shut down" in --force mode. This
    is a potentially dangerous thing to do when trying to start a second
    postmaster in parallel while the first one is still being shut down.
    (see http://archives.postgresql.org/pgsql-general/2012-07/msg00475.php)
    Backported from trunk r1181. (LP: #1042556)
  * debian/control: Update Vcs-* for new precise branch.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 06 Sep 2012 15:01:02 +0200
