=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Martin Pitt <mpitt@debian.org>
 Standards-Version: 3.9.3
-Vcs-Bzr: https://code.launchpad.net/~pitti/postgresql/common/
-Vcs-Browser: http://bazaar.launchpad.net/~pitti/postgresql/common/changes
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-core-dev/postgresql/common-precise
+Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-core-dev/postgresql/common-precise
 Build-Depends: debhelper (>= 7.0.50~)
 
 Package: postgresql-common
