## postgresql-common 129ubuntu1.2

=== debian/changelog ===
postgresql-common (129ubuntu1.2) precise-security; urgency=medium

  * SECURITY UPDATE: symlink attack vulnerability
    - drop privileges when creating log file in pg_ctlcluster.
    - c8989206ec360f199400c74f129f7b4cb878c1ee
    - CVE-2016-1255
  * SECURITY UPDATE: symlink attack vulnerability in init/helper scripts
    (LP: #1727209)
    - use lchown instead of chown in pg_createcluster, pg_ctlcluster,
      pg_upgradecluster.
    - 8b4d0a889a8287181c4bdf46462db9b737a6e25d
    - CVE-2017-8806

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Mon, 27 Nov 2017 13:41:00 -0300
